#ifndef qad_virtual_keyboard_h
#define qad_virtual_keyboard_h

#include <QtCore/qplugin.h>
#include <QtDesigner/QtDesigner>

class QADVirtualKeyboard
	: public QObject
	, public QDesignerCustomWidgetCollectionInterface {
	Q_OBJECT
#if QT_VERSION >= 0x050000
	Q_PLUGIN_METADATA(IID "qad.virtual_keyboard")
#endif
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)

public:
	explicit QADVirtualKeyboard(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface *> customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface *> m_widgets;
};

#endif
